Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.tcp
Class SenderState

    java.lang.Object
      org.apache.catalina.cluster.tcp.SenderState

public class SenderState
extends java.lang.Object

Send cluster messages with a pool of sockets (25). FIXME support processing stats

Since:
  5.5.16
Version:
  1.0
Author:
  Filip Hanik

Field Summary
`static int` | `FAILING`
`static int` | `READY`
`static int` | `SUSPECT`

Constructor Summary
`SenderState()`
`SenderState(int state)`

Method Summary
`boolean` | `isFailing()`
`boolean` | `isReady()`
`boolean` | `isSuspect()`
`void` | `setFailing()`
`void` | `setReady()`
`void` | `setSuspect()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READY

    public static final int READY

See Also:
  Constant Field Values

### SUSPECT

    public static final int SUSPECT

See Also:
  Constant Field Values

### FAILING

    public static final int FAILING

See Also:
  Constant Field Values

Constructor Detail

### SenderState

    public SenderState()

### SenderState

    public SenderState(int state)

Method Detail

### isSuspect

    public boolean isSuspect()

### setSuspect

    public void setSuspect()

### isReady

    public boolean isReady()

### setReady

    public void setReady()

### isFailing

    public boolean isFailing()

### setFailing

    public void setFailing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.